import { onBeforeUnmount} from 'vue'
export function useMenu(isCollapse) {
    

    // 获取body的宽度缩放小于800执行
    const handerReSize = () => {
        let curWidth = document.body.offsetWidth
        isCollapse.value = curWidth < 800
    }
    // 一开始计算一次
    handerReSize()
    // 给window绑定reSize时间，每次窗口发生变化 重新计算
    window.addEventListener('resize', handerReSize)

    // 给window卸载resize事件
    onBeforeUnmount(() => {
        window.removeEventListener('resize', handerReSize)
    })
}